Page MenuHomePhabricator

efl/gesture: implement custom gesture recognizer framework
ClosedPublic

Authored by zmike on Jan 28 2020, 12:27 PM.

Details

Summary

this adds support for creating custom (out of tree) gesture recognizers by
adding an abstract recognizer class that can be inherited and reused

docs TBA

Depends on D11222

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 15818
zmike created this revision.Jan 28 2020, 12:27 PM
zmike requested review of this revision.Jan 28 2020, 12:27 PM
segfaultxavi requested changes to this revision.Jan 29 2020, 12:34 AM

Docs look alright, except minor typo.

Am I to assume that "Docs TBA" means that I should write them?
In this case, can you give me a summary of what a custom recognizer should do in finalize, add and recognize?
I can look at the example in the next patch, but I'd appreciate a bird's eye view description...

src/lib/evas/gesture/efl_canvas_gesture_events.eo
47

Typo: double is.

This revision now requires changes to proceed.Jan 29 2020, 12:34 AM
zmike added a comment.Jan 29 2020, 5:49 AM

No, I meant I'd write docs for everything like I usually do and then you can doc cop on top of that.

zmike updated this revision to Diff 28691.Jan 29 2020, 11:23 AM
zmike edited the summary of this revision. (Show Details)

rebase/rework

zmike updated this revision to Diff 28701.Jan 29 2020, 11:26 AM

doc fix

Harbormaster completed remote builds in B15828: Diff 28701.
CHAN accepted this revision.Jan 29 2020, 11:23 PM

Looks good to me.

segfaultxavi resigned from this revision.Jan 30 2020, 12:23 AM
This revision is now accepted and ready to land.Jan 30 2020, 12:23 AM
Closed by commit rEFLca2cc5915da8: efl/gesture: implement custom gesture recognizer framework (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 5 2020, 1:22 AM
This revision was automatically updated to reflect the committed changes.